<?php 
/*------------------------  Version 20200519  ----------------------------*/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
//--end self downloader --
/******************** Defaults to allow StandAlone Debugging *****************/
if (!isset($_SESSION)) { 
  $UseAtlanticHurricaneSeason = false; // Use NHC Atlantic Hurricane Season Dates?
  $SStart = date('z',mktime(0,0,0,6,1,date('Y')));	// Start of Atlantic Hurricane Season
  $SEnd = date('z',mktime(0,0,0,11,30,date('Y')));	// End of Atlantic Hurricane Season
	$_SESSION['CSSwidescreen']=1;
	echo '<style type="text/css">
		div img.center {
			width:100%;
			margin-left: auto;
			margin-right: auto;
		}
		</style>';
}
/****************** End Defaults to allow StandAlone Debugging ***************/
?>
<div style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? '100%' : '656px') ?>;" class="center">

<div id="current_cond" class="center" style="width:100%">
<h3 align="center">Current Conditions - Atlantic Region</h3>
</div>
<div style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? '100%' : '656px') ?>;" class="center">
<div id="cyclones_overviewMap" class="center">
<!-- East Pacific JS -->

<!-- Atlantic JS -->
<script language="Javascript" type="text/javascript">
function show_tab(nam)
   {
   document.getElementById("TC_activity_atl").style.display= "none";
   document.getElementById("TAFB_overview_atl").style.display= "none";
   document.getElementById(nam).style.display = "block";
   }
</script> 

<!-- table that holds the Overview Graphic -->
<table border="0" cellspacing="0" width="<?php echo ($_SESSION['CSSwidescreen']==1 ? '100%' : '656') ?>">
<tbody>
<tr>
<td>
<noscript>&lt;font color="red"&gt;For best viewing experience, please enable browser JavaScript/Active Scripting.&lt;/font&gt;</noscript>

  <!-- **************************************************** -->
  <!-- ********* Begin GTWO-like Overview Graphic ********* -->
  <!-- **************************************************** -->
  <!-- start basin tabs -->
  
  <!-- Highlight Atlantic as active -->
  <table class="std" border="0" cellpadding="0" cellspacing="0" width="<?php echo ($_SESSION['CSSwidescreen']==1 ? '100%' : '656') ?>">
  <tbody>
  <tr align="center">
  <td style="border-left:1px solid #000000; border-right:0px solid #000000; border-top:1px solid #000000; border-bottom:1px solid #000000;" align="right"><img src="https://www.nhc.noaa.gov/gifs/nhctab_off.jpg" alt="tab" height="34" width="1"/></td>
  <td style="border-left:0px solid #000000; border-right:0px solid #000000; border-top:1px solid #000000; border-bottom:1px solid #000000;" width="50%" class="nhctab_middle_on"><a href="wx_nhcp.php">Eastern/Central Pacific</a></td>
  <td style="border-left:0px solid #000000; border-right:1px solid #000000; border-top:1px solid #000000; border-bottom:1px solid #000000;" align="left"><img src="https://www.nhc.noaa.gov/gifs/nhctab_off.jpg" alt="tab" height="34" width="1"/></td>
  <td style="border-left:0px solid #000000; border-right:0px solid #000000; border-top:1px solid #000000; border-bottom:1px solid #dde4ff;" align="right"><img src="https://www.nhc.noaa.gov/gifs/nhctab_on.jpg" alt="tab" height="34" width="1"/></td>
  <td style="border-left:0px solid #000000; border-right:0px solid #000000; border-top:1px solid #000000; border-bottom:0px solid #000000;" width="50%" class="nhctab_middle_off">Atlantic</td>
  <td style="border-left:0px solid #000000; border-right:1px solid #000000; border-top:1px solid #000000; border-bottom:1px solid #dde4ff;" align="left"><img src="https://www.nhc.noaa.gov/gifs/nhctab_on.jpg" alt="tab" height="34" width="1"/></td>
  </tr>
  </tbody>
  </table>
  
  <!-- end basin tabs -->
  
  <!-- begin table that holds the main overview image -->
  <!-- Background and Table Cell Colors:
       dark blue/purple is:   #a9b6fc   
       light blue/purple is:  #dde4ff   
       dark blue navbar is:   #09248b 
  -->
  <table style="border-left:1px solid #000000; border-right:1px solid #000000; border-top:0px solid #000000; border-bottom:1px solid #000000;" width="<?php echo ($_SESSION['CSSwidescreen']==1 ? '100%' : '656') ?>" cellpadding="0" cellspacing="0" bgcolor="#dde4ff">
  <!-- Add a spacer row -->
  <tbody><tr>
  <td><img src="https://www.nhc.noaa.gov/gifs/nhctab_on.jpg" alt="tab" height="8" width="1"/></td>  
  </tr>
  <tr align="center">
  <td align="center" valign="top" class="white">

   <!-- begin table that holds the main overview image --> 
   <table border="0" cellpadding="0" cellspacing="0" width="<?php echo ($_SESSION['CSSwidescreen']==1 ? '100%' : '656') ?>">
   <tbody>
   <tr align="center">
   
   <td align="center">
   
   <div id="TC_activity_atl" style="display:block;">
   <map id="twomapatl" name="twomapatl">

	<area shape="poly" coords="0,225,31,241,50,248,60,244,67,246,80,258,86,259,94,261,102,263,113,275,114,283,122,285,127,288,126,293,132,294,137,293,143,299,148,299,149,296,147,292,150,292,152,289,154,288,158,292,160,299,163,302,164,320,161,325,156,326,154,331,154,334,149,336,0,336,0,225" href="wx_nhcp.php" alt="Click for Eastern/Central Pacific"/>

	<area href="#graphical_tropical" shape="rect" coords="0,0,565,363" alt=""/>
	</map>
    <div align="center" style="width:<?php echo $_SESSION['CSSwidescreen']==1?'900':'656'?>px">
        <?php if ((date('z')<$SStart || date('z')>$SEnd)&&$UseAtlanticHurricaneSeason) { 
	    echo '<h3 align="center"><span style="color:#FF0033"><br/>Atlantic Hurricane Season is from June 1 through November 30</span></h3><br/>';
	} else { echo '<img src="https://www.nhc.noaa.gov/xgtwo/two_atl_0d0.png" width="'.($_SESSION['CSSwidescreen']==1?'900':'656').'" height="'.($_SESSION['CSSwidescreen']==1?'665':'392').'" alt="TC Activity" usemap="#twomapatl"/><br/>'; } ?>    
    </div>
   </div>
   <div style="text-align:center; font-size:14px">
     <br/>Click on an Area Below to Open the Marine Forecast in a New Tab<br/>
   </div>
   <div id="TAFB_overview_atl" style="display:block;"><img src="https://www.nhc.noaa.gov/overview_atl/tafb_atl_graphics.png" width="<?php echo ($_SESSION['CSSwidescreen']==1?'900':'656') ?>" height="<?php echo ($_SESSION['CSSwidescreen']==1?'563':'353')?>" alt="Marine Forecasts Atlantic" usemap="#TAFB_overview_atl"/></div>
   <!-- Image Map "#TAFB_overview_atlgray" for TAFB Atlantic Graphic -->
   <map name="TAFB_overview_atl" id="map_atl">
  	<area shape="rect" coords="600,0,900,50" href="https://www.nhc.noaa.gov/marine/forecast/enhanced_atlcfull.php" alt="Tropical Atlantic Full Basin" title="Tropical Atlantic Full Basin" target="_blank" />
  	<area shape="rect" coords="9,47,346,296" href="https://www.nhc.noaa.gov/marine/forecast/enhanced_gom.php" alt="Gulf of Mexico" title="Gulf of Mexico" onmouseover="if(document.images) document.getElementById('overviewgraphic').src= 'https://www.nhc.noaa.gov/overview_atl/tafb_atl_graphics_gom.png';" onmouseout="if(document.images) document.getElementById('overviewgraphic').src='https://www.nhc.noaa.gov/overview_atl/tafb_atl_graphics.png';" target="_blank"/>
  	<area shape="rect" coords="328,47,845,296" href="https://www.nhc.noaa.gov/marine/forecast/enhanced_atlc.php" alt="Atlantic Offshore Waters" title="Atlantic Offshore Waters" onmouseover="if(document.images) document.getElementById('overviewgraphic').src= 'https://www.nhc.noaa.gov/overview_atl/tafb_atl_graphics_atlc.png';" onmouseout="if(document.images) document.getElementById('overviewgraphic').src='https://www.nhc.noaa.gov/overview_atl/tafb_atl_graphics.png';" target="_blank"/>
  	<area shape="rect" coords="188,207,845,469" href="https://www.nhc.noaa.gov/marine/forecast/enhanced_carib.php" alt="Caribbean" title="Caribbean" onmouseover="if(document.images) document.getElementById('overviewgraphic').src= 'https://www.nhc.noaa.gov/overview_atl/tafb_atl_graphics_car.png';" onmouseout="if(document.images) document.getElementById('overviewgraphic').src='https://www.nhc.noaa.gov/overview_atl/tafb_atl_graphics.png';" target="_blank"/>
  	<area shape="poly" coords="1,322,20,331,37,336,56,337,77,327,92,330,111,344,132,362,151,372,178,376,194,382,210,383,221,390,238,406,253,421,254,428,252,436,257,444,268,445,278,450,290,456,295,466,305,474,315,475,328,477,337,486,341,483,347,490,360,488,362,481,356,476,364,466,373,461,385,462,394,469,397,481,404,491,411,499,413,507,414,512,414,517,411,521,414,524,415,531,1,530" href="?epac" alt="Tropical East Pacific Forecast Graphics" title="Tropical East Pacific Forecast Graphics" />
</map>
   </td>
   
   </tr>
   </tbody>
   </table>
   <!-- end table that holds the main overview image -->

   <!-- begin table that holds the "choose focus" selector -->
   <table border="0" cellpadding="6" cellspacing="0" width="656">
   <tbody>
   <!--<tr>
   <td><spacer type="block" height="5"></td>
   </tr>
   -->
   <tr>
   
   <td align="center" class="size10ptbold" style="white-space: nowrap">Current Conditions &nbsp; | &nbsp; <a href="#graphical_tropical">Graphical Tropical Weather Outlook</a></td>
   
   </tr>
   </tbody>
   </table>   
   <!-- end table of "choose focus" selector -->

  </td>
  </tr>
  </tbody></table> 

</td></tr></tbody></table>
</div>


      <!-- END SPECIAL NOTICE SECTION -->


<div id="graphical_tropical">      
      <h2 align="center" style="width: 100%;">Atlantic Graphical Tropical Weather Outlook</h2>
        <?php if ((date('z')<$SStart || date('z')>$SEnd)&&$UseAtlanticHurricaneSeason) { 
	    echo '<h3 align="center"><span style="color:#FF0033"><br/>Atlantic Hurricane Season is from June 1 through November 30</span></h3><br/>';
	} else { include 'inc-nhca-outlook.php'; } ?>
	</div><hr/>
  <div align="center">
  <iframe id="nhc" width="320" height="158" scrolling="yes" frameborder="0" src="https://www.nhc.noaa.gov/widgets/nhc_widget.shtml"></iframe>
  </div>    
  </div>
</div>
