<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (WD-USA template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/*------------------------  Version 20200519  ----------------------------*/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
//--end self downloader --
require_once("Settings.php");
require_once("common.php");
############################################################################
$TITLE= $SITE['organ'] . "National Hurricane Center ";
$showGizmo = true;  // set to false to exclude the gizmo
include("top.php");
############################################################################
?>
<style type="text/css"> div img.center {  width:100%;  margin-left: auto;  margin-right: auto }</style>
</head>
<body>
<?php
############################################################################
include("header.php");
############################################################################
include("menubar.php");
############################################################################
$UseAtlanticHurricaneSeason = false; // Use NHC Atlantic Hurricane Season Dates?
$SStart = date('z',mktime(0,0,0,6,1,date('Y')));	// Start of Atlantic Hurricane Season
$SEnd = date('z',mktime(0,0,0,11,30,date('Y')));	// End of Atlantic Hurricane Season
#echo '$SStart = '.$SStart.', $SEnd = '.$SEnd.', and (date\'z\') is '.date('z').'<br/>';  // Debug Code
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : 656) ?>px; border:inset">
<?php } else { ?>
	<div id="main-copy" style="width:100%; padding:0px; border:inset">
<?php }	?>
	<div class="center" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? '100%' : '656px') ?>;">
	<br/><h2 align="center"><?php langtrans('National Hurricane Center - Atlantic Region'); ?><br/></h2>
	<?php if ((date('z')<$SStart || date('z')>$SEnd)&&!$UseAtlanticHurricaneSeason) echo '<h3 align="center" style="color:red">Maps May Not Be Current. Check Map Dates!</h3>' ?>
	<hr/>
	<?php  include 'inc-nhca.php'; ?>
	<hr/></div>
<p style="text-align:center; font-size:11px">Images and Forecasts courtesy of the <a href="https://www.nhc.noaa.gov/" target="_blank">National Hurricane Center</a></p>
</div><!-- end main-copy -->

<?php
include("footer.php");
?>